### Enumeration

# Gdk ColorChannel

since: 4.22

#### Declaration

    enum Gdk.ColorChannel

#### Description [src]

Enumerates the color channels of RGBA values as used in `GdkColor` and OpenGL/Vulkan shaders.

Note that this is not the order of pixel values in Cairo and `GdkMemoryFormat` can have many different orders.

Available since: 4.22

#### Members

`GDK_COLOR_CHANNEL_RED`

  The red color channel, aka 0.

  - Value: `0`
  - Available since: 4.22
`GDK_COLOR_CHANNEL_GREEN`

  The green color channel, aka 1.

  - Value: `1`
  - Available since: 4.22
`GDK_COLOR_CHANNEL_BLUE`

  The blue color channel, aka 2.

  - Value: `2`
  - Available since: 4.22
`GDK_COLOR_CHANNEL_ALPHA`

  The alpha color channel, aka 3.

  - Value: `3`
  - Available since: 4.22